import type {INumberValueTagStyle} from "@/interface/app/ITagStyle.ts";

export default class StockComposeStepStatusFormatter {

    stepStatusTagStyle: INumberValueTagStyle[] = [
        {value: 0, label: '待执行', type: 'info'},
        {value: 1, label: '执行中', type: 'primary'},
        {value: 3, label: '任务完成', type: 'success'},
        {value: 4, label: '任务取消', type: 'danger'},
        {value: 5, label: '任务异常', type: 'danger'},
        {value: 6, label: '离开起点', type: 'primary'},
        {value: 7, label: '到达终点', type: 'warning'},
    ];

    stockComposeStepStatusFormatter(value: any): INumberValueTagStyle {
        const findResult = this.stepStatusTagStyle.find(f => f.value == value);
        if (findResult) {
            return findResult;
        }
        return {value: value.toString(), label: '？' + value.toString(), type: 'danger'};
    }

}

// 分步状态：
// 0-待执行
// 1-执行中
// 3-任务完成
// 4-任务取消
// 5-任务异常
// 6-离开起点
// 7-到达终点